# Ds\Deque::contains

(PECL ds >= 1.0.0)

Ds\Deque::contains — Determines if the deque contains given values

### Descripción

public Ds\Deque::contains(mixed `...$values`): bool

Determines if the deque contains all values.

### Parámetros

`values`

  Values to check.

### Valores devueltos

`false` if any of the provided `values` are not in the deque, `true` otherwise.

### Ejemplos

Ejemplo #1 Ds\Deque::contains() example

`<?php
$deque = new \Ds\Deque(['a', 'b', 'c', 1, 2, 3]);
var_dump($deque->contains('a')); // true
var_dump($deque->contains('a', 'b')); // true
var_dump($deque->contains('c', 'd')); // false
var_dump($deque->contains(...['c', 'b', 'a'])); // true
// Always strict
var_dump($deque->contains(1)); // true
var_dump($deque->contains('1')); // false
var_dump($sequece->contains(...[])); // true
?>`

El resultado del ejemplo sería algo similar a:

    bool(true)
    bool(true)
    bool(false)
    bool(true)
    bool(true)
    bool(false)
    bool(true)